Bug 167175 - [PATCH] japanese/eb: update to 4.4.3
Summary: [PATCH] japanese/eb: update to 4.4.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-21 21:40 UTC by Muhammad Moinur Rahman
Modified: 2012-09-14 05:40 UTC (History)
1 user (show)

See Also:


Attachments
ja-eb-4.4.3.patch (7.47 KB, patch)
2012-04-21 21:40 UTC, Muhammad Moinur Rahman
no flags Details | Diff
patch-ja-eb (10.66 KB, Text/Plain; charset=Shift_JIS)
2012-08-25 01:45 UTC, Yasuhiro KIMURA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Edwin Groothuis freebsd_committer 2012-04-21 21:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-04-21 21:40:22 UTC
Maintainer of japanese/eb,

Please note that PR ports/167175 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167175

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-04-21 21:40:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Yasuhiro KIMURA 2012-05-02 00:51:17 UTC
----Next_Part(Wed_May__2_08_51_17_2012_263)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

I make a bit change on original patch, and PORTREVISION of dependent
ports need to be bumped. So please apply attached patch instead of
original one.

Regards.


----Next_Part(Wed_May__2_08_51_17_2012_263)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename=patch-ja-eb

Index: japanese/eb/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/eb/Makefile,v
retrieving revision 1.70
diff -u -r1.70 Makefile
--- japanese/eb/Makefile	4 Dec 2010 07:32:14 -0000	1.70
+++ japanese/eb/Makefile	1 May 2012 23:29:27 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	eb
-PORTVERSION=	4.4.2
-PORTREVISION=	1
+PORTVERSION=	4.4.3
 CATEGORIES=	japanese
 MASTER_SITES=	ftp://ftp.sra.co.jp/pub/misc/eb/ \
 		ftp://ftp.sra.co.jp/pub/misc/eb/old/eb-${PORTVERSION:C/^([0-9]+)\.([0-9]+).*/\1.\2/}/
@@ -36,6 +35,7 @@
 		appendix/genius2-1.1.tar.gz \
 		appendix/global-2.0.tar.gz \
 		appendix/heritage-2.2.tar.gz \
+		appendix/hyogen-1.0.tar.gz \
 		appendix/izumi-2.0.tar.gz \
 		appendix/jitenban-2.4.tar.gz \
 		appendix/jitenban97-2.1.tar.gz \
@@ -53,20 +53,39 @@
 
 DIST_SUBDIR=	eb
 
+PORTDOCS=	eb-01.html eb-02.html eb-03.html eb-04.html eb-05.html eb-06.html \
+		eb-07.html eb-08.html eb-09.html eb-10.html eb-11.html eb-12.html \
+		eb-13.html eb-14.html eb.html ebappendix-01.html ebappendix-02.html \
+		ebappendix-03.html ebappendix-04.html ebappendix.html ebfont-01.html \
+		ebfont-02.html ebfont-03.html ebfont-04.html ebfont.html \
+	       	ebinfo-01.html ebinfo-02.html ebinfo-03.html ebinfo-04.html \
+		ebinfo-05.html ebinfo.html ebrefile-01.html ebrefile-02.html \
+		ebrefile-03.html ebrefile.html ebstopcode-01.html ebstopcode-02.html \
+		ebstopcode-03.html ebstopcode.html ebzip-01.html ebzip-02.html \
+	       	ebzip-03.html ebzip-04.html ebzip-05.html ebzip-06.html ebzip-07.html \
+	       	ebzip-08.html ebzip-09.html ebzip-10.html ebzip.html
+
 USE_AUTOTOOLS=	libtool
 USE_BZIP2=	yes
 USE_GETTEXT=	yes
 USE_PERL5=	yes
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
-CONFIGURE_ARGS=	--enable-nls \
+CONFIGURE_ARGS=	--with-pkgdocdir=${DOCSDIR}
+
+APPENDIXDIR=	${DATADIR}/appendix
+
+.if !defined(WITHOUT_NLS)
+USE_GETTEXT=	yes
+CONFIGURE_ARGS+=	--enable-nls \
 		--with-gettext-includes=${LOCALBASE}/include \
 		--with-gettext-libraries=${LOCALBASE}/lib \
 		--with-iconv-includes=${LOCALBASE}/include \
-		--with-iconv-libraries=${LOCALBASE}/lib \
-		--with-pkgdocdir=${DOCSDIR}
-
-APPENDIXDIR=	${DATADIR}/appendix
+		--with-iconv-libraries=${LOCALBASE}/lib
+PLIST_SUB=	NLS=""
+.else
+PLIST_SUB=	NLS="@comment "
+.endif
 
 post-extract:
 	${RM} -fr ${WRKSRC}/zlib
@@ -78,5 +97,11 @@
 
 post-install:
 	${CP} -R ${WRKDIR}/appendix/ ${APPENDIXDIR}
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${DOCSDIR}
+.for doc in ${PORTDOCS}
+	${INSTALL_DATA} ${WRKSRC}/doc/${doc} ${DOCSDIR}
+.endfor
+.endif
 
 .include <bsd.port.mk>
Index: japanese/eb/distinfo
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/eb/distinfo,v
retrieving revision 1.37
diff -u -r1.37 distinfo
--- japanese/eb/distinfo	18 Mar 2011 17:59:12 -0000	1.37
+++ japanese/eb/distinfo	1 May 2012 23:10:07 -0000
@@ -1,5 +1,5 @@
-SHA256 (eb/eb-4.4.2.tar.bz2) = 3abb92211e0c04640973a93ece1914da0895486fe784a7dac2ced091c64500d6
-SIZE (eb/eb-4.4.2.tar.bz2) = 505293
+SHA256 (eb/eb-4.4.3.tar.bz2) = abe710a77c6fc3588232977bb2f30a2e69ddfbe9fa8d0b05b0d67d95e36f4b5f
+SIZE (eb/eb-4.4.3.tar.bz2) = 505510
 SHA256 (eb/appendix/cencro-1.0.tar.gz) = 02d7937f4cd0b3bebb23f9d5917a261d382b4f1004b3b49830c64762d58a02e5
 SIZE (eb/appendix/cencro-1.0.tar.gz) = 1666
 SHA256 (eb/appendix/chujiten-2.3.tar.gz) = 07bb4ae37b8e3bfaa219dc243b70db5ccce1e30a574f43e53c083c36f69090ba
@@ -32,6 +32,8 @@
 SIZE (eb/appendix/global-2.0.tar.gz) = 4034
 SHA256 (eb/appendix/heritage-2.2.tar.gz) = 67974914e27c6874d7520b4c7ce90c56da959631d7edd602a29e902b2ee86997
 SIZE (eb/appendix/heritage-2.2.tar.gz) = 3968
+SHA256 (eb/appendix/hyogen-1.0.tar.gz) = fe2e6fa528c0ba689051ed068182f9554f9c3cbe73972dca27f97c9a2a977ad8
+SIZE (eb/appendix/hyogen-1.0.tar.gz) = 1309
 SHA256 (eb/appendix/izumi-2.0.tar.gz) = be358a301d4f4e51f0c97930baab80960ba84fc32ee3b06095d6b860bc43d0ce
 SIZE (eb/appendix/izumi-2.0.tar.gz) = 984
 SHA256 (eb/appendix/jitenban-2.4.tar.gz) = d02941a6991400bf0dfdb0b075ca0827a30147691347294b674ab7bdbbbd3204
Index: japanese/eb/pkg-plist
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/eb/pkg-plist,v
retrieving revision 1.22
diff -u -r1.22 pkg-plist
--- japanese/eb/pkg-plist	1 Feb 2010 03:31:54 -0000	1.22
+++ japanese/eb/pkg-plist	1 May 2012 23:10:07 -0000
@@ -21,59 +21,8 @@
 lib/libeb.a
 lib/libeb.la
 lib/libeb.so
-lib/libeb.so.15
+lib/libeb.so.16
 share/aclocal/eb4.m4
-%%DOCSDIR%%/eb-01.html
-%%DOCSDIR%%/eb-02.html
-%%DOCSDIR%%/eb-03.html
-%%DOCSDIR%%/eb-04.html
-%%DOCSDIR%%/eb-05.html
-%%DOCSDIR%%/eb-06.html
-%%DOCSDIR%%/eb-07.html
-%%DOCSDIR%%/eb-08.html
-%%DOCSDIR%%/eb-09.html
-%%DOCSDIR%%/eb-10.html
-%%DOCSDIR%%/eb-11.html
-%%DOCSDIR%%/eb-12.html
-%%DOCSDIR%%/eb-13.html
-%%DOCSDIR%%/eb-14.html
-%%DOCSDIR%%/eb.html
-%%DOCSDIR%%/ebappendix-01.html
-%%DOCSDIR%%/ebappendix-02.html
-%%DOCSDIR%%/ebappendix-03.html
-%%DOCSDIR%%/ebappendix-04.html
-%%DOCSDIR%%/ebappendix.html
-%%DOCSDIR%%/ebfont-01.html
-%%DOCSDIR%%/ebfont-02.html
-%%DOCSDIR%%/ebfont-03.html
-%%DOCSDIR%%/ebfont-04.html
-%%DOCSDIR%%/ebfont.html
-%%DOCSDIR%%/ebinfo-01.html
-%%DOCSDIR%%/ebinfo-02.html
-%%DOCSDIR%%/ebinfo-03.html
-%%DOCSDIR%%/ebinfo-04.html
-%%DOCSDIR%%/ebinfo-05.html
-%%DOCSDIR%%/ebinfo.html
-%%DOCSDIR%%/ebrefile-01.html
-%%DOCSDIR%%/ebrefile-02.html
-%%DOCSDIR%%/ebrefile-03.html
-%%DOCSDIR%%/ebrefile.html
-%%DOCSDIR%%/ebstopcode-01.html
-%%DOCSDIR%%/ebstopcode-02.html
-%%DOCSDIR%%/ebstopcode-03.html
-%%DOCSDIR%%/ebstopcode.html
-%%DOCSDIR%%/ebzip-01.html
-%%DOCSDIR%%/ebzip-02.html
-%%DOCSDIR%%/ebzip-03.html
-%%DOCSDIR%%/ebzip-04.html
-%%DOCSDIR%%/ebzip-05.html
-%%DOCSDIR%%/ebzip-06.html
-%%DOCSDIR%%/ebzip-07.html
-%%DOCSDIR%%/ebzip-08.html
-%%DOCSDIR%%/ebzip-09.html
-%%DOCSDIR%%/ebzip-10.html
-%%DOCSDIR%%/ebzip.html
-@dirrm %%DOCSDIR%%
 %%DATADIR%%/appendix/cencro-1.0/catalog
 %%DATADIR%%/appendix/cencro-1.0/catalog.app
 %%DATADIR%%/appendix/cencro-1.0/cencro.app
@@ -161,6 +110,10 @@
 %%DATADIR%%/appendix/heritage-2.2/roget/appendix
 %%DATADIR%%/appendix/heritage-2.2/root.app
 %%DATADIR%%/appendix/heritage-2.2/root/appendix
+%%DATADIR%%/appendix/hyogen-1.0/catalogs
+%%DATADIR%%/appendix/hyogen-1.0/catalogs.app
+%%DATADIR%%/appendix/hyogen-1.0/hyogen.app
+%%DATADIR%%/appendix/hyogen-1.0/hyogen/data/furoku
 %%DATADIR%%/appendix/izumi-2.0/catalog
 %%DATADIR%%/appendix/izumi-2.0/catalog.app
 %%DATADIR%%/appendix/izumi-2.0/file1.app
@@ -301,6 +254,9 @@
 @dirrm %%DATADIR%%/appendix/heritage-2.2/roget
 @dirrm %%DATADIR%%/appendix/heritage-2.2/root
 @dirrm %%DATADIR%%/appendix/heritage-2.2
+@dirrm %%DATADIR%%/appendix/hyogen-1.0/hyogen/data
+@dirrm %%DATADIR%%/appendix/hyogen-1.0/hyogen
+@dirrm %%DATADIR%%/appendix/hyogen-1.0
 @dirrm %%DATADIR%%/appendix/izumi-2.0/file1
 @dirrm %%DATADIR%%/appendix/izumi-2.0
 @dirrm %%DATADIR%%/appendix/jitenban-2.4/chiezo/data
@@ -369,5 +325,5 @@
 @dirrm %%DATADIR%%/appendix/superdic98-1.0
 @dirrm %%DATADIR%%/appendix
 @dirrm %%DATADIR%%
-share/locale/ja/LC_MESSAGES/eb.mo
-share/locale/ja/LC_MESSAGES/ebutils.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/eb.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/ebutils.mo
\ No newline at end of file
Index: japanese/eblook/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/eblook/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- japanese/eblook/Makefile	1 Feb 2010 03:41:43 -0000	1.24
+++ japanese/eblook/Makefile	1 May 2012 23:23:10 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	eblook
 PORTVERSION=	1.6.1
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	japanese textproc
 MASTER_SITES=	http://openlab.ring.gr.jp/edict/eblook/dist/
 DIST_SUBDIR=	eb
@@ -15,7 +15,7 @@
 MAINTAINER=	yasu@utahime.org
 COMMENT=	Interactive EB interface command for seraching words in electoric dictionaries
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb.16:${PORTSDIR}/japanese/eb
 
 GNU_CONFIGURE=		yes
 CONFIGURE_ARGS=		--with-eb-includes=${PREFIX}/include \
Index: japanese/ebnetd/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/ebnetd/Makefile,v
retrieving revision 1.44
diff -u -r1.44 Makefile
--- japanese/ebnetd/Makefile	27 Mar 2010 05:21:34 -0000	1.44
+++ japanese/ebnetd/Makefile	1 May 2012 23:25:23 -0000
@@ -7,14 +7,14 @@
 
 PORTNAME=	ebnetd
 PORTVERSION=	1.0
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	japanese ipv6
 MASTER_SITES=	ftp://ftp.sra.co.jp/pub/misc/eb/
 
 MAINTAINER=	yasu@utahime.org
 COMMENT=	Servers for accessing CD-ROM books via TCP/IP
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb.16:${PORTSDIR}/japanese/eb
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--localstatedir=${RUNDIR} --with-logdir=${LOGDIR}
Index: japanese/ebview/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/ebview/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- japanese/ebview/Makefile	23 Sep 2011 22:23:35 -0000	1.43
+++ japanese/ebview/Makefile	1 May 2012 23:25:46 -0000
@@ -7,14 +7,14 @@
 
 PORTNAME=	ebview
 PORTVERSION=	0.2.1
-PORTREVISION=	13
+PORTREVISION=	14
 CATEGORIES=	japanese
 MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Electronic Book Viewer
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb.16:${PORTSDIR}/japanese/eb
 
 CONFLICTS=	ja-ebview-gtk2-*
 
Index: japanese/ebview-gtk2/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/ebview-gtk2/Makefile,v
retrieving revision 1.47
diff -u -r1.47 Makefile
--- japanese/ebview-gtk2/Makefile	23 Sep 2011 22:23:35 -0000	1.47
+++ japanese/ebview-gtk2/Makefile	1 May 2012 23:26:09 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	ebview
 PORTVERSION=	0.3.6
-PORTREVISION=	15
+PORTREVISION=	16
 CATEGORIES=	japanese
 MASTER_SITES=	SF
 PKGNAMESUFFIX=	-gtk2
@@ -15,7 +15,7 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Electronic Book Viewer
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb.16:${PORTSDIR}/japanese/eb
 
 CONFLICTS=	ja-ebview-0*
 
Index: japanese/ruby-eb/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/ruby-eb/Makefile,v
retrieving revision 1.27
diff -u -r1.27 Makefile
--- japanese/ruby-eb/Makefile	4 Jul 2011 15:48:32 -0000	1.27
+++ japanese/ruby-eb/Makefile	1 May 2012 23:26:36 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	eb
 PORTVERSION=	2.6
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	japanese ruby
 MASTER_SITES=	http://rubyeb.sourceforge.net/ \
 		SF/rubyeb/rubyeb/rubyeb-${PORTVERSION}
@@ -17,7 +17,7 @@
 MAINTAINER=	ruby@FreeBSD.org
 COMMENT=	Ruby bind of EB library
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb.16:${PORTSDIR}/japanese/eb
 
 USE_RUBY=	yes
 USE_RUBY_EXTCONF=	yes

----Next_Part(Wed_May__2_08_51_17_2012_263)----
Comment 5 Martin Wilke freebsd_committer 2012-05-03 16:32:11 UTC
State Changed
From-To: feedback->open

need a new patch
Comment 6 Martin Wilke freebsd_committer 2012-05-03 16:32:41 UTC
State Changed
From-To: open->feedback

Yasuhiro could u please resend as attachment. thx alot
Comment 7 Yasuhiro KIMURA 2012-05-07 22:14:09 UTC
----Next_Part(Tue_May__8_06_14_09_2012_103)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Resending patch.

----Next_Part(Tue_May__8_06_14_09_2012_103)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename=patch-ja-eb

Index: japanese/eb/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/eb/Makefile,v
retrieving revision 1.70
diff -u -r1.70 Makefile
--- japanese/eb/Makefile	4 Dec 2010 07:32:14 -0000	1.70
+++ japanese/eb/Makefile	1 May 2012 23:29:27 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	eb
-PORTVERSION=	4.4.2
-PORTREVISION=	1
+PORTVERSION=	4.4.3
 CATEGORIES=	japanese
 MASTER_SITES=	ftp://ftp.sra.co.jp/pub/misc/eb/ \
 		ftp://ftp.sra.co.jp/pub/misc/eb/old/eb-${PORTVERSION:C/^([0-9]+)\.([0-9]+).*/\1.\2/}/
@@ -36,6 +35,7 @@
 		appendix/genius2-1.1.tar.gz \
 		appendix/global-2.0.tar.gz \
 		appendix/heritage-2.2.tar.gz \
+		appendix/hyogen-1.0.tar.gz \
 		appendix/izumi-2.0.tar.gz \
 		appendix/jitenban-2.4.tar.gz \
 		appendix/jitenban97-2.1.tar.gz \
@@ -53,20 +53,39 @@
 
 DIST_SUBDIR=	eb
 
+PORTDOCS=	eb-01.html eb-02.html eb-03.html eb-04.html eb-05.html eb-06.html \
+		eb-07.html eb-08.html eb-09.html eb-10.html eb-11.html eb-12.html \
+		eb-13.html eb-14.html eb.html ebappendix-01.html ebappendix-02.html \
+		ebappendix-03.html ebappendix-04.html ebappendix.html ebfont-01.html \
+		ebfont-02.html ebfont-03.html ebfont-04.html ebfont.html \
+	       	ebinfo-01.html ebinfo-02.html ebinfo-03.html ebinfo-04.html \
+		ebinfo-05.html ebinfo.html ebrefile-01.html ebrefile-02.html \
+		ebrefile-03.html ebrefile.html ebstopcode-01.html ebstopcode-02.html \
+		ebstopcode-03.html ebstopcode.html ebzip-01.html ebzip-02.html \
+	       	ebzip-03.html ebzip-04.html ebzip-05.html ebzip-06.html ebzip-07.html \
+	       	ebzip-08.html ebzip-09.html ebzip-10.html ebzip.html
+
 USE_AUTOTOOLS=	libtool
 USE_BZIP2=	yes
 USE_GETTEXT=	yes
 USE_PERL5=	yes
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
-CONFIGURE_ARGS=	--enable-nls \
+CONFIGURE_ARGS=	--with-pkgdocdir=${DOCSDIR}
+
+APPENDIXDIR=	${DATADIR}/appendix
+
+.if !defined(WITHOUT_NLS)
+USE_GETTEXT=	yes
+CONFIGURE_ARGS+=	--enable-nls \
 		--with-gettext-includes=${LOCALBASE}/include \
 		--with-gettext-libraries=${LOCALBASE}/lib \
 		--with-iconv-includes=${LOCALBASE}/include \
-		--with-iconv-libraries=${LOCALBASE}/lib \
-		--with-pkgdocdir=${DOCSDIR}
-
-APPENDIXDIR=	${DATADIR}/appendix
+		--with-iconv-libraries=${LOCALBASE}/lib
+PLIST_SUB=	NLS=""
+.else
+PLIST_SUB=	NLS="@comment "
+.endif
 
 post-extract:
 	${RM} -fr ${WRKSRC}/zlib
@@ -78,5 +97,11 @@
 
 post-install:
 	${CP} -R ${WRKDIR}/appendix/ ${APPENDIXDIR}
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${DOCSDIR}
+.for doc in ${PORTDOCS}
+	${INSTALL_DATA} ${WRKSRC}/doc/${doc} ${DOCSDIR}
+.endfor
+.endif
 
 .include <bsd.port.mk>
Index: japanese/eb/distinfo
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/eb/distinfo,v
retrieving revision 1.37
diff -u -r1.37 distinfo
--- japanese/eb/distinfo	18 Mar 2011 17:59:12 -0000	1.37
+++ japanese/eb/distinfo	1 May 2012 23:10:07 -0000
@@ -1,5 +1,5 @@
-SHA256 (eb/eb-4.4.2.tar.bz2) = 3abb92211e0c04640973a93ece1914da0895486fe784a7dac2ced091c64500d6
-SIZE (eb/eb-4.4.2.tar.bz2) = 505293
+SHA256 (eb/eb-4.4.3.tar.bz2) = abe710a77c6fc3588232977bb2f30a2e69ddfbe9fa8d0b05b0d67d95e36f4b5f
+SIZE (eb/eb-4.4.3.tar.bz2) = 505510
 SHA256 (eb/appendix/cencro-1.0.tar.gz) = 02d7937f4cd0b3bebb23f9d5917a261d382b4f1004b3b49830c64762d58a02e5
 SIZE (eb/appendix/cencro-1.0.tar.gz) = 1666
 SHA256 (eb/appendix/chujiten-2.3.tar.gz) = 07bb4ae37b8e3bfaa219dc243b70db5ccce1e30a574f43e53c083c36f69090ba
@@ -32,6 +32,8 @@
 SIZE (eb/appendix/global-2.0.tar.gz) = 4034
 SHA256 (eb/appendix/heritage-2.2.tar.gz) = 67974914e27c6874d7520b4c7ce90c56da959631d7edd602a29e902b2ee86997
 SIZE (eb/appendix/heritage-2.2.tar.gz) = 3968
+SHA256 (eb/appendix/hyogen-1.0.tar.gz) = fe2e6fa528c0ba689051ed068182f9554f9c3cbe73972dca27f97c9a2a977ad8
+SIZE (eb/appendix/hyogen-1.0.tar.gz) = 1309
 SHA256 (eb/appendix/izumi-2.0.tar.gz) = be358a301d4f4e51f0c97930baab80960ba84fc32ee3b06095d6b860bc43d0ce
 SIZE (eb/appendix/izumi-2.0.tar.gz) = 984
 SHA256 (eb/appendix/jitenban-2.4.tar.gz) = d02941a6991400bf0dfdb0b075ca0827a30147691347294b674ab7bdbbbd3204
Index: japanese/eb/pkg-plist
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/eb/pkg-plist,v
retrieving revision 1.22
diff -u -r1.22 pkg-plist
--- japanese/eb/pkg-plist	1 Feb 2010 03:31:54 -0000	1.22
+++ japanese/eb/pkg-plist	7 May 2012 21:10:11 -0000
@@ -21,59 +21,8 @@
 lib/libeb.a
 lib/libeb.la
 lib/libeb.so
-lib/libeb.so.15
+lib/libeb.so.16
 share/aclocal/eb4.m4
-%%DOCSDIR%%/eb-01.html
-%%DOCSDIR%%/eb-02.html
-%%DOCSDIR%%/eb-03.html
-%%DOCSDIR%%/eb-04.html
-%%DOCSDIR%%/eb-05.html
-%%DOCSDIR%%/eb-06.html
-%%DOCSDIR%%/eb-07.html
-%%DOCSDIR%%/eb-08.html
-%%DOCSDIR%%/eb-09.html
-%%DOCSDIR%%/eb-10.html
-%%DOCSDIR%%/eb-11.html
-%%DOCSDIR%%/eb-12.html
-%%DOCSDIR%%/eb-13.html
-%%DOCSDIR%%/eb-14.html
-%%DOCSDIR%%/eb.html
-%%DOCSDIR%%/ebappendix-01.html
-%%DOCSDIR%%/ebappendix-02.html
-%%DOCSDIR%%/ebappendix-03.html
-%%DOCSDIR%%/ebappendix-04.html
-%%DOCSDIR%%/ebappendix.html
-%%DOCSDIR%%/ebfont-01.html
-%%DOCSDIR%%/ebfont-02.html
-%%DOCSDIR%%/ebfont-03.html
-%%DOCSDIR%%/ebfont-04.html
-%%DOCSDIR%%/ebfont.html
-%%DOCSDIR%%/ebinfo-01.html
-%%DOCSDIR%%/ebinfo-02.html
-%%DOCSDIR%%/ebinfo-03.html
-%%DOCSDIR%%/ebinfo-04.html
-%%DOCSDIR%%/ebinfo-05.html
-%%DOCSDIR%%/ebinfo.html
-%%DOCSDIR%%/ebrefile-01.html
-%%DOCSDIR%%/ebrefile-02.html
-%%DOCSDIR%%/ebrefile-03.html
-%%DOCSDIR%%/ebrefile.html
-%%DOCSDIR%%/ebstopcode-01.html
-%%DOCSDIR%%/ebstopcode-02.html
-%%DOCSDIR%%/ebstopcode-03.html
-%%DOCSDIR%%/ebstopcode.html
-%%DOCSDIR%%/ebzip-01.html
-%%DOCSDIR%%/ebzip-02.html
-%%DOCSDIR%%/ebzip-03.html
-%%DOCSDIR%%/ebzip-04.html
-%%DOCSDIR%%/ebzip-05.html
-%%DOCSDIR%%/ebzip-06.html
-%%DOCSDIR%%/ebzip-07.html
-%%DOCSDIR%%/ebzip-08.html
-%%DOCSDIR%%/ebzip-09.html
-%%DOCSDIR%%/ebzip-10.html
-%%DOCSDIR%%/ebzip.html
-@dirrm %%DOCSDIR%%
 %%DATADIR%%/appendix/cencro-1.0/catalog
 %%DATADIR%%/appendix/cencro-1.0/catalog.app
 %%DATADIR%%/appendix/cencro-1.0/cencro.app
@@ -161,6 +110,10 @@
 %%DATADIR%%/appendix/heritage-2.2/roget/appendix
 %%DATADIR%%/appendix/heritage-2.2/root.app
 %%DATADIR%%/appendix/heritage-2.2/root/appendix
+%%DATADIR%%/appendix/hyogen-1.0/catalogs
+%%DATADIR%%/appendix/hyogen-1.0/catalogs.app
+%%DATADIR%%/appendix/hyogen-1.0/hyogen.app
+%%DATADIR%%/appendix/hyogen-1.0/hyogen/data/furoku
 %%DATADIR%%/appendix/izumi-2.0/catalog
 %%DATADIR%%/appendix/izumi-2.0/catalog.app
 %%DATADIR%%/appendix/izumi-2.0/file1.app
@@ -301,6 +254,9 @@
 @dirrm %%DATADIR%%/appendix/heritage-2.2/roget
 @dirrm %%DATADIR%%/appendix/heritage-2.2/root
 @dirrm %%DATADIR%%/appendix/heritage-2.2
+@dirrm %%DATADIR%%/appendix/hyogen-1.0/hyogen/data
+@dirrm %%DATADIR%%/appendix/hyogen-1.0/hyogen
+@dirrm %%DATADIR%%/appendix/hyogen-1.0
 @dirrm %%DATADIR%%/appendix/izumi-2.0/file1
 @dirrm %%DATADIR%%/appendix/izumi-2.0
 @dirrm %%DATADIR%%/appendix/jitenban-2.4/chiezo/data
@@ -369,5 +325,5 @@
 @dirrm %%DATADIR%%/appendix/superdic98-1.0
 @dirrm %%DATADIR%%/appendix
 @dirrm %%DATADIR%%
-share/locale/ja/LC_MESSAGES/eb.mo
-share/locale/ja/LC_MESSAGES/ebutils.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/eb.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/ebutils.mo
Index: japanese/eblook/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/eblook/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- japanese/eblook/Makefile	1 Feb 2010 03:41:43 -0000	1.24
+++ japanese/eblook/Makefile	1 May 2012 23:23:10 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	eblook
 PORTVERSION=	1.6.1
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	japanese textproc
 MASTER_SITES=	http://openlab.ring.gr.jp/edict/eblook/dist/
 DIST_SUBDIR=	eb
@@ -15,7 +15,7 @@
 MAINTAINER=	yasu@utahime.org
 COMMENT=	Interactive EB interface command for seraching words in electoric dictionaries
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb.16:${PORTSDIR}/japanese/eb
 
 GNU_CONFIGURE=		yes
 CONFIGURE_ARGS=		--with-eb-includes=${PREFIX}/include \
Index: japanese/ebnetd/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/ebnetd/Makefile,v
retrieving revision 1.44
diff -u -r1.44 Makefile
--- japanese/ebnetd/Makefile	27 Mar 2010 05:21:34 -0000	1.44
+++ japanese/ebnetd/Makefile	1 May 2012 23:25:23 -0000
@@ -7,14 +7,14 @@
 
 PORTNAME=	ebnetd
 PORTVERSION=	1.0
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	japanese ipv6
 MASTER_SITES=	ftp://ftp.sra.co.jp/pub/misc/eb/
 
 MAINTAINER=	yasu@utahime.org
 COMMENT=	Servers for accessing CD-ROM books via TCP/IP
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb.16:${PORTSDIR}/japanese/eb
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--localstatedir=${RUNDIR} --with-logdir=${LOGDIR}
Index: japanese/ebview/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/ebview/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- japanese/ebview/Makefile	23 Sep 2011 22:23:35 -0000	1.43
+++ japanese/ebview/Makefile	1 May 2012 23:25:46 -0000
@@ -7,14 +7,14 @@
 
 PORTNAME=	ebview
 PORTVERSION=	0.2.1
-PORTREVISION=	13
+PORTREVISION=	14
 CATEGORIES=	japanese
 MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Electronic Book Viewer
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb.16:${PORTSDIR}/japanese/eb
 
 CONFLICTS=	ja-ebview-gtk2-*
 
Index: japanese/ebview-gtk2/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/ebview-gtk2/Makefile,v
retrieving revision 1.47
diff -u -r1.47 Makefile
--- japanese/ebview-gtk2/Makefile	23 Sep 2011 22:23:35 -0000	1.47
+++ japanese/ebview-gtk2/Makefile	1 May 2012 23:26:09 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	ebview
 PORTVERSION=	0.3.6
-PORTREVISION=	15
+PORTREVISION=	16
 CATEGORIES=	japanese
 MASTER_SITES=	SF
 PKGNAMESUFFIX=	-gtk2
@@ -15,7 +15,7 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Electronic Book Viewer
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb.16:${PORTSDIR}/japanese/eb
 
 CONFLICTS=	ja-ebview-0*
 
Index: japanese/ruby-eb/Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/japanese/ruby-eb/Makefile,v
retrieving revision 1.27
diff -u -r1.27 Makefile
--- japanese/ruby-eb/Makefile	4 Jul 2011 15:48:32 -0000	1.27
+++ japanese/ruby-eb/Makefile	1 May 2012 23:26:36 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	eb
 PORTVERSION=	2.6
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	japanese ruby
 MASTER_SITES=	http://rubyeb.sourceforge.net/ \
 		SF/rubyeb/rubyeb/rubyeb-${PORTVERSION}
@@ -17,7 +17,7 @@
 MAINTAINER=	ruby@FreeBSD.org
 COMMENT=	Ruby bind of EB library
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb.16:${PORTSDIR}/japanese/eb
 
 USE_RUBY=	yes
 USE_RUBY_EXTCONF=	yes

----Next_Part(Tue_May__8_06_14_09_2012_103)----
Comment 8 Martin Wilke freebsd_committer 2012-05-30 09:47:38 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 9 Martin Wilke freebsd_committer 2012-05-30 09:48:47 UTC
State Changed
From-To: open->feedback

please resend as attachment.
Comment 10 Martin Wilke freebsd_committer 2012-08-05 06:45:11 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool
Comment 11 Yasuhiro KIMURA 2012-08-25 01:45:38 UTC
Resending patch. 3rd trial with different MUA.

Comment 12 Ruslan Makhmatkhanov freebsd_committer 2012-09-13 21:26:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 13 dfilter service freebsd_committer 2012-09-13 21:34:10 UTC
Author: rm
Date: Thu Sep 13 20:33:53 2012
New Revision: 304232
URL: http://svn.freebsd.org/changeset/ports/304232

Log:
  - update japanese/eb to 4.4.3
  - add support for NOPORTDOCS and WITHOUT_NLS
  - bump PORTREVISION for dependent ports:
    - japanese/eblook
    - japanese/ebview
    - japanese/ebview-gtk2
    - japanese/ebnetd
  
  while here, common changes:
  - strip Makefile headers
  - remove shlib versions from dependent ports
  - remove deprecated attributions from pkg-descr
  - whitespace fixes to pkg-descr
  
  PR:		167175
  Submitted by:	Muhammad Moinur Rahman <5u623l20 at gmail dot com> (original patch)
  Submitted by:	Yasuhiro KIMURA <yasu at utahime dot org> (maintainer, final patch)

Modified:
  head/japanese/eb/Makefile
  head/japanese/eb/distinfo
  head/japanese/eb/pkg-descr
  head/japanese/eb/pkg-plist
  head/japanese/eblook/Makefile
  head/japanese/eblook/pkg-descr
  head/japanese/ebnetd/Makefile
  head/japanese/ebnetd/pkg-descr
  head/japanese/ebview-gtk2/Makefile
  head/japanese/ebview/Makefile

Modified: head/japanese/eb/Makefile
==============================================================================
--- head/japanese/eb/Makefile	Thu Sep 13 20:10:14 2012	(r304231)
+++ head/japanese/eb/Makefile	Thu Sep 13 20:33:53 2012	(r304232)
@@ -1,13 +1,7 @@
-# New ports collection makefile for:	eb
-# Date created:			20 Jan 1999
-# Whom:				Motoyuki Kasahara <m-kasahr@sra.co.jp>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	eb
-PORTVERSION=	4.4.2
-PORTREVISION=	1
+PORTVERSION=	4.4.3
 CATEGORIES=	japanese
 MASTER_SITES=	ftp://ftp.sra.co.jp/pub/misc/eb/ \
 		ftp://ftp.sra.co.jp/pub/misc/eb/old/eb-${PORTVERSION:C/^([0-9]+)\.([0-9]+).*/\1.\2/}/
@@ -36,6 +30,7 @@ APPENDIXFILES=	appendix/cencro-1.0.tar.g
 		appendix/genius2-1.1.tar.gz \
 		appendix/global-2.0.tar.gz \
 		appendix/heritage-2.2.tar.gz \
+		appendix/hyogen-1.0.tar.gz \
 		appendix/izumi-2.0.tar.gz \
 		appendix/jitenban-2.4.tar.gz \
 		appendix/jitenban97-2.1.tar.gz \
@@ -53,30 +48,55 @@ APPENDIXFILES=	appendix/cencro-1.0.tar.g
 
 DIST_SUBDIR=	eb
 
+PORTDOCS=	eb-01.html eb-02.html eb-03.html eb-04.html eb-05.html eb-06.html \
+		eb-07.html eb-08.html eb-09.html eb-10.html eb-11.html eb-12.html \
+		eb-13.html eb-14.html eb.html ebappendix-01.html ebappendix-02.html \
+		ebappendix-03.html ebappendix-04.html ebappendix.html ebfont-01.html \
+		ebfont-02.html ebfont-03.html ebfont-04.html ebfont.html \
+		ebinfo-01.html ebinfo-02.html ebinfo-03.html ebinfo-04.html \
+		ebinfo-05.html ebinfo.html ebrefile-01.html ebrefile-02.html \
+		ebrefile-03.html ebrefile.html ebstopcode-01.html ebstopcode-02.html \
+		ebstopcode-03.html ebstopcode.html ebzip-01.html ebzip-02.html \
+		ebzip-03.html ebzip-04.html ebzip-05.html ebzip-06.html ebzip-07.html \
+		ebzip-08.html ebzip-09.html ebzip-10.html ebzip.html
+
 USE_AUTOTOOLS=	libtool
 USE_BZIP2=	yes
 USE_GETTEXT=	yes
 USE_PERL5=	yes
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
-CONFIGURE_ARGS=	--enable-nls \
+CONFIGURE_ARGS=	--with-pkgdocdir=${DOCSDIR}
+
+APPENDIXDIR=	${DATADIR}/appendix
+
+.if !defined(WITHOUT_NLS)
+USE_GETTEXT=	yes
+CONFIGURE_ARGS+=	--enable-nls \
 		--with-gettext-includes=${LOCALBASE}/include \
 		--with-gettext-libraries=${LOCALBASE}/lib \
 		--with-iconv-includes=${LOCALBASE}/include \
-		--with-iconv-libraries=${LOCALBASE}/lib \
-		--with-pkgdocdir=${DOCSDIR}
-
-APPENDIXDIR=	${DATADIR}/appendix
+		--with-iconv-libraries=${LOCALBASE}/lib
+PLIST_SUB=	NLS=""
+.else
+PLIST_SUB=	NLS="@comment "
+.endif
 
 post-extract:
 	${RM} -fr ${WRKSRC}/zlib
 	${MKDIR} ${WRKDIR}/appendix
 .for file in ${APPENDIXFILES}
 	${TAR} --exclude CVS -C ${WRKDIR}/appendix -zxmf \
-	  ${DISTDIR}/${DIST_SUBDIR}/${file}
+	${DISTDIR}/${DIST_SUBDIR}/${file}
 .endfor
 
 post-install:
 	${CP} -R ${WRKDIR}/appendix/ ${APPENDIXDIR}
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${DOCSDIR}
+.for doc in ${PORTDOCS}
+	${INSTALL_DATA} ${WRKSRC}/doc/${doc} ${DOCSDIR}
+.endfor
+.endif
 
 .include <bsd.port.mk>

Modified: head/japanese/eb/distinfo
==============================================================================
--- head/japanese/eb/distinfo	Thu Sep 13 20:10:14 2012	(r304231)
+++ head/japanese/eb/distinfo	Thu Sep 13 20:33:53 2012	(r304232)
@@ -1,5 +1,5 @@
-SHA256 (eb/eb-4.4.2.tar.bz2) = 3abb92211e0c04640973a93ece1914da0895486fe784a7dac2ced091c64500d6
-SIZE (eb/eb-4.4.2.tar.bz2) = 505293
+SHA256 (eb/eb-4.4.3.tar.bz2) = abe710a77c6fc3588232977bb2f30a2e69ddfbe9fa8d0b05b0d67d95e36f4b5f
+SIZE (eb/eb-4.4.3.tar.bz2) = 505510
 SHA256 (eb/appendix/cencro-1.0.tar.gz) = 02d7937f4cd0b3bebb23f9d5917a261d382b4f1004b3b49830c64762d58a02e5
 SIZE (eb/appendix/cencro-1.0.tar.gz) = 1666
 SHA256 (eb/appendix/chujiten-2.3.tar.gz) = 07bb4ae37b8e3bfaa219dc243b70db5ccce1e30a574f43e53c083c36f69090ba
@@ -32,6 +32,8 @@ SHA256 (eb/appendix/global-2.0.tar.gz) =
 SIZE (eb/appendix/global-2.0.tar.gz) = 4034
 SHA256 (eb/appendix/heritage-2.2.tar.gz) = 67974914e27c6874d7520b4c7ce90c56da959631d7edd602a29e902b2ee86997
 SIZE (eb/appendix/heritage-2.2.tar.gz) = 3968
+SHA256 (eb/appendix/hyogen-1.0.tar.gz) = fe2e6fa528c0ba689051ed068182f9554f9c3cbe73972dca27f97c9a2a977ad8
+SIZE (eb/appendix/hyogen-1.0.tar.gz) = 1309
 SHA256 (eb/appendix/izumi-2.0.tar.gz) = be358a301d4f4e51f0c97930baab80960ba84fc32ee3b06095d6b860bc43d0ce
 SIZE (eb/appendix/izumi-2.0.tar.gz) = 984
 SHA256 (eb/appendix/jitenban-2.4.tar.gz) = d02941a6991400bf0dfdb0b075ca0827a30147691347294b674ab7bdbbbd3204

Modified: head/japanese/eb/pkg-descr
==============================================================================
--- head/japanese/eb/pkg-descr	Thu Sep 13 20:10:14 2012	(r304231)
+++ head/japanese/eb/pkg-descr	Thu Sep 13 20:33:53 2012	(r304232)
@@ -2,7 +2,4 @@ EB Library is a C library for accessing 
 supports to access CD-ROM books of EB, EBG, EBXA and EPWING formats.
 CD-ROM books of those formats are popular in Japan.
 
--- Motoyuki Kasahara <m-kasahr@sra.co.jp>
--- Kazu TAKAMUNE <takamune2004@yahoo.co.jp>
-
 WWW: http://www.sra.co.jp/people/m-kasahr/eb/

Modified: head/japanese/eb/pkg-plist
==============================================================================
--- head/japanese/eb/pkg-plist	Thu Sep 13 20:10:14 2012	(r304231)
+++ head/japanese/eb/pkg-plist	Thu Sep 13 20:33:53 2012	(r304232)
@@ -21,59 +21,8 @@ include/eb/zio.h
 lib/libeb.a
 lib/libeb.la
 lib/libeb.so
-lib/libeb.so.15
+lib/libeb.so.16
 share/aclocal/eb4.m4
-%%DOCSDIR%%/eb-01.html
-%%DOCSDIR%%/eb-02.html
-%%DOCSDIR%%/eb-03.html
-%%DOCSDIR%%/eb-04.html
-%%DOCSDIR%%/eb-05.html
-%%DOCSDIR%%/eb-06.html
-%%DOCSDIR%%/eb-07.html
-%%DOCSDIR%%/eb-08.html
-%%DOCSDIR%%/eb-09.html
-%%DOCSDIR%%/eb-10.html
-%%DOCSDIR%%/eb-11.html
-%%DOCSDIR%%/eb-12.html
-%%DOCSDIR%%/eb-13.html
-%%DOCSDIR%%/eb-14.html
-%%DOCSDIR%%/eb.html
-%%DOCSDIR%%/ebappendix-01.html
-%%DOCSDIR%%/ebappendix-02.html
-%%DOCSDIR%%/ebappendix-03.html
-%%DOCSDIR%%/ebappendix-04.html
-%%DOCSDIR%%/ebappendix.html
-%%DOCSDIR%%/ebfont-01.html
-%%DOCSDIR%%/ebfont-02.html
-%%DOCSDIR%%/ebfont-03.html
-%%DOCSDIR%%/ebfont-04.html
-%%DOCSDIR%%/ebfont.html
-%%DOCSDIR%%/ebinfo-01.html
-%%DOCSDIR%%/ebinfo-02.html
-%%DOCSDIR%%/ebinfo-03.html
-%%DOCSDIR%%/ebinfo-04.html
-%%DOCSDIR%%/ebinfo-05.html
-%%DOCSDIR%%/ebinfo.html
-%%DOCSDIR%%/ebrefile-01.html
-%%DOCSDIR%%/ebrefile-02.html
-%%DOCSDIR%%/ebrefile-03.html
-%%DOCSDIR%%/ebrefile.html
-%%DOCSDIR%%/ebstopcode-01.html
-%%DOCSDIR%%/ebstopcode-02.html
-%%DOCSDIR%%/ebstopcode-03.html
-%%DOCSDIR%%/ebstopcode.html
-%%DOCSDIR%%/ebzip-01.html
-%%DOCSDIR%%/ebzip-02.html
-%%DOCSDIR%%/ebzip-03.html
-%%DOCSDIR%%/ebzip-04.html
-%%DOCSDIR%%/ebzip-05.html
-%%DOCSDIR%%/ebzip-06.html
-%%DOCSDIR%%/ebzip-07.html
-%%DOCSDIR%%/ebzip-08.html
-%%DOCSDIR%%/ebzip-09.html
-%%DOCSDIR%%/ebzip-10.html
-%%DOCSDIR%%/ebzip.html
-@dirrm %%DOCSDIR%%
 %%DATADIR%%/appendix/cencro-1.0/catalog
 %%DATADIR%%/appendix/cencro-1.0/catalog.app
 %%DATADIR%%/appendix/cencro-1.0/cencro.app
@@ -161,6 +110,10 @@ share/aclocal/eb4.m4
 %%DATADIR%%/appendix/heritage-2.2/roget/appendix
 %%DATADIR%%/appendix/heritage-2.2/root.app
 %%DATADIR%%/appendix/heritage-2.2/root/appendix
+%%DATADIR%%/appendix/hyogen-1.0/catalogs
+%%DATADIR%%/appendix/hyogen-1.0/catalogs.app
+%%DATADIR%%/appendix/hyogen-1.0/hyogen.app
+%%DATADIR%%/appendix/hyogen-1.0/hyogen/data/furoku
 %%DATADIR%%/appendix/izumi-2.0/catalog
 %%DATADIR%%/appendix/izumi-2.0/catalog.app
 %%DATADIR%%/appendix/izumi-2.0/file1.app
@@ -301,6 +254,9 @@ share/aclocal/eb4.m4
 @dirrm %%DATADIR%%/appendix/heritage-2.2/roget
 @dirrm %%DATADIR%%/appendix/heritage-2.2/root
 @dirrm %%DATADIR%%/appendix/heritage-2.2
+@dirrm %%DATADIR%%/appendix/hyogen-1.0/hyogen/data
+@dirrm %%DATADIR%%/appendix/hyogen-1.0/hyogen
+@dirrm %%DATADIR%%/appendix/hyogen-1.0
 @dirrm %%DATADIR%%/appendix/izumi-2.0/file1
 @dirrm %%DATADIR%%/appendix/izumi-2.0
 @dirrm %%DATADIR%%/appendix/jitenban-2.4/chiezo/data
@@ -369,5 +325,5 @@ share/aclocal/eb4.m4
 @dirrm %%DATADIR%%/appendix/superdic98-1.0
 @dirrm %%DATADIR%%/appendix
 @dirrm %%DATADIR%%
-share/locale/ja/LC_MESSAGES/eb.mo
-share/locale/ja/LC_MESSAGES/ebutils.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/eb.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/ebutils.mo

Modified: head/japanese/eblook/Makefile
==============================================================================
--- head/japanese/eblook/Makefile	Thu Sep 13 20:10:14 2012	(r304231)
+++ head/japanese/eblook/Makefile	Thu Sep 13 20:33:53 2012	(r304232)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	eblook
-# Date created:		20 August 1999
-# Whom:			Shigeyuki Fukushima <shige@FreeBSD.org>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	eblook
 PORTVERSION=	1.6.1
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	japanese textproc
 MASTER_SITES=	http://openlab.ring.gr.jp/edict/eblook/dist/
 DIST_SUBDIR=	eb
@@ -15,7 +10,7 @@ DIST_SUBDIR=	eb
 MAINTAINER=	yasu@utahime.org
 COMMENT=	Interactive EB interface command for searching words in electronic dictionaries
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb:${PORTSDIR}/japanese/eb
 
 GNU_CONFIGURE=		yes
 CONFIGURE_ARGS=		--with-eb-includes=${PREFIX}/include \

Modified: head/japanese/eblook/pkg-descr
==============================================================================
--- head/japanese/eblook/pkg-descr	Thu Sep 13 20:10:14 2012	(r304231)
+++ head/japanese/eblook/pkg-descr	Thu Sep 13 20:33:53 2012	(r304232)
@@ -2,7 +2,7 @@ Interactive EB interface command for ser
 
 Eblook supports to access CD-ROM books of EB, EBG, EBXA and EPWING formats
 directly.  CD-ROM books of those formats are popular in Japan.
-Since CD-ROM books themseves are stands on the ISO 9660 format, 
+Since CD-ROM books themseves are stands on the ISO 9660 format,
 you can mount the discs by the same way as other ISO 9660 discs.
 
 You can get more information from ja-eblook.info.

Modified: head/japanese/ebnetd/Makefile
==============================================================================
--- head/japanese/ebnetd/Makefile	Thu Sep 13 20:10:14 2012	(r304231)
+++ head/japanese/ebnetd/Makefile	Thu Sep 13 20:33:53 2012	(r304232)
@@ -1,20 +1,15 @@
-# New ports collection makefile for:	ebnetd
-# Date created:			4 Aug 1998
-# Whom:				Motoyuki Kasahara <m-kasahr@sra.co.jp>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	ebnetd
 PORTVERSION=	1.0
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	japanese ipv6
 MASTER_SITES=	ftp://ftp.sra.co.jp/pub/misc/eb/
 
 MAINTAINER=	yasu@utahime.org
 COMMENT=	Servers for accessing CD-ROM books via TCP/IP
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb:${PORTSDIR}/japanese/eb
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--localstatedir=${RUNDIR} --with-logdir=${LOGDIR}

Modified: head/japanese/ebnetd/pkg-descr
==============================================================================
--- head/japanese/ebnetd/pkg-descr	Thu Sep 13 20:10:14 2012	(r304231)
+++ head/japanese/ebnetd/pkg-descr	Thu Sep 13 20:33:53 2012	(r304232)
@@ -21,5 +21,4 @@ In addition, you must follow the license
 EBNETD is free software, your books may not be free. Don't open your
 books to unlicensed hosts nor users.
 
-Author:	Motoyuki Kasahara <m-kasahr@sra.co.jp>
-WWW:	http://www.sra.co.jp/people/m-kasahr/ebnetd/
+WWW: http://www.sra.co.jp/people/m-kasahr/ebnetd/

Modified: head/japanese/ebview-gtk2/Makefile
==============================================================================
--- head/japanese/ebview-gtk2/Makefile	Thu Sep 13 20:10:14 2012	(r304231)
+++ head/japanese/ebview-gtk2/Makefile	Thu Sep 13 20:33:53 2012	(r304232)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	ebview-gtk2
-# Date Created:				7 Dec 2003
-# Whom:					<faust@ua.airnet.ne.jp>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	ebview
 PORTVERSION=	0.3.6
-PORTREVISION=	16
+PORTREVISION=	17
 CATEGORIES=	japanese
 MASTER_SITES=	SF
 PKGNAMESUFFIX=	-gtk2
@@ -15,7 +10,7 @@ PKGNAMESUFFIX=	-gtk2
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Electronic Book Viewer
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb:${PORTSDIR}/japanese/eb
 
 CONFLICTS=	ja-ebview-0*
 

Modified: head/japanese/ebview/Makefile
==============================================================================
--- head/japanese/ebview/Makefile	Thu Sep 13 20:10:14 2012	(r304231)
+++ head/japanese/ebview/Makefile	Thu Sep 13 20:33:53 2012	(r304232)
@@ -1,20 +1,15 @@
-# New ports collection makefile for:	ebview
-# Date Created:		28 Jan 2002
-# Whom:			Yoichi NAKAYAMA <yoichi@FreeBSD.org>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	ebview
 PORTVERSION=	0.2.1
-PORTREVISION=	14
+PORTREVISION=	15
 CATEGORIES=	japanese
 MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Electronic Book Viewer
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb:${PORTSDIR}/japanese/eb
 
 CONFLICTS=	ja-ebview-gtk2-*
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 14 Ruslan Makhmatkhanov freebsd_committer 2012-09-13 21:34:13 UTC
State Changed
From-To: feedback->closed

Committed, thank you!
Comment 15 Yasuhiro KIMURA 2012-09-14 01:00:32 UTC
Hello,

Patch for japanese/ruby-eb/Makefile is not commited.
Would you please commit it too?

Best Regards.
Comment 16 dfilter service freebsd_committer 2012-09-14 05:36:56 UTC
Author: rm
Date: Fri Sep 14 04:36:45 2012
New Revision: 304254
URL: http://svn.freebsd.org/changeset/ports/304254

Log:
  - chase japanese/eb update, that I forgot in previous commit
  
  PR:		167175
  Spotted by:     Yasuhiro KIMURA <yasu at utahime dot org> (maintainer of japanese/eb)

Modified:
  head/japanese/ruby-eb/Makefile
  head/japanese/ruby-eb/pkg-descr

Modified: head/japanese/ruby-eb/Makefile
==============================================================================
--- head/japanese/ruby-eb/Makefile	Fri Sep 14 02:53:02 2012	(r304253)
+++ head/japanese/ruby-eb/Makefile	Fri Sep 14 04:36:45 2012	(r304254)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	Ruby EB
-# Date created:		6 Sep 2000
-# Whom:			Akinori MUSHA aka knu <knu@idaemons.org>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	eb
 PORTVERSION=	2.6
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	japanese ruby
 MASTER_SITES=	http://rubyeb.sourceforge.net/ \
 		SF/rubyeb/rubyeb/rubyeb-${PORTVERSION}
@@ -17,7 +12,7 @@ DIST_SUBDIR=	ruby
 MAINTAINER=	ruby@FreeBSD.org
 COMMENT=	Ruby bind of EB library
 
-LIB_DEPENDS=	eb.15:${PORTSDIR}/japanese/eb
+LIB_DEPENDS=	eb:${PORTSDIR}/japanese/eb
 
 USE_RUBY=	yes
 USE_RUBY_EXTCONF=	yes

Modified: head/japanese/ruby-eb/pkg-descr
==============================================================================
--- head/japanese/ruby-eb/pkg-descr	Fri Sep 14 02:53:02 2012	(r304253)
+++ head/japanese/ruby-eb/pkg-descr	Fri Sep 14 04:36:45 2012	(r304254)
@@ -1,4 +1,3 @@
 Ruby EB -- Ruby bind of EB library.
 
-Author:	Nishikawa,Yasuhiro <nyasu@osk.3web.ne.jp>
-WWW:	http://www.ruby-lang.org/raa/list.rhtml?name=rubyeb
+WWW: http://www.ruby-lang.org/raa/list.rhtml?name=rubyeb
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 17 R.Mahmatkhanov 2012-09-14 05:37:53 UTC
Hi Yasuhiro-san,

Yasuhiro KIMURA wrote on 14.09.2012 04:00:
> Hello,
>
> Patch for japanese/ruby-eb/Makefile is not commited.
> Would you please commit it too?
>
> Best Regards.

Just committed. Sorry about this.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.